Get Layout
curl --request GET \
--url https://api.example.com/layouts/{layout_id}import requests
url = "https://api.example.com/layouts/{layout_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/layouts/{layout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/layouts/{layout_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/layouts/{layout_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/layouts/{layout_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/layouts/{layout_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyLayouts
Get Layout
Retrieve a single layout with full metadata and optional presigned data URL
GET
/
layouts
/
{layout_id}
Get Layout
curl --request GET \
--url https://api.example.com/layouts/{layout_id}import requests
url = "https://api.example.com/layouts/{layout_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/layouts/{layout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/layouts/{layout_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/layouts/{layout_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/layouts/{layout_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/layouts/{layout_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyGET /layouts/
Returns the complete layout record including full metadata, topology summary, and a presigned S3 download URL for bulk data (if available).Notes
- The
layout_idpath parameter is the workspace-scoped layout index. - Returns the full
metadataobject includingsimulationParams(arrayType, gcr, tilt, azimuth, etc.). - If the layout has associated bulk data on S3, a time-limited presigned
dataUrlis included in the response. - Returns
404if the layout does not exist in the current workspace. - For a dedicated bulk-data download URL without the rest of the layout metadata, use
GET /layouts/{layout_id}/data.
